gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Pattern

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Pattern = Pattern (ManagedPtr Pattern)

# Exported types

newtype Pattern Source #

Memory-managed wrapper type.

Constructors

Pattern (ManagedPtr Pattern) |

#### Instances

Instances details

Eq Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods (==) :: Pattern -> Pattern -> Bool # (/=) :: Pattern -> Pattern -> Bool #
IsGValue Pattern Source # | Convert `Pattern` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Pattern Methods toGValue :: Pattern -> IO GValue Source # fromGValue :: GValue -> IO Pattern Source #
ManagedPtrNewtype Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods toManagedPtr :: Pattern -> ManagedPtr Pattern Source #
TypedObject Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods glibType :: IO GType Source #
GBoxed Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern
HasParentTypes Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern
type ParentTypes Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern type ParentTypes Pattern = '[] :: [Type]

# Methods

## Overloaded methods